<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__udb__sdio" kind="group">
    <compoundname>group_hal_impl_udb_sdio</compoundname>
    <title>UDB SDIO (Secure Digital Input Output)</title>
    <briefdescription>
<para>The UDB based SDIO interface allows for communicating between a PSoC 6 and a Cypress wireless device such as the CYW4343W, CYW43438, or CYW43012. </para>    </briefdescription>
    <detaileddescription>
<para>This library allows PSoC 6 devices that do not have a dedicated SDHC hardware block, but do have UDBs, to work with the <ulink url="https://github.com/cypresssemiconductorco/wifi-host-driver">Wi-Fi Host Driver (WHD)</ulink> library.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This library does not provide a complete SDIO implementation. It is only intended for use with a Cypress wireless device. Additionally, using this driver imposes a few system wide requirements, described below, that must be met to work properly.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>
<para><heading level="1">Restrictions</heading></para>
<para>The optimal configuration is to have ClkSlow &amp; ClkPeri running at 100 MHz and for the SDIO to run at 25 MHz. For Cypress provided Board Support Packages (BSPs) that use this driver the necessary configuration is done automatically.</para><para>To use this library, the following must be true:<orderedlist>
<listitem><para>ClkSlow &amp; ClkPeri must both run at the same speed</para></listitem><listitem><para>ClkSlow &amp; ClkPeri must run at 4x the desired SDIO speed</para></listitem><listitem><para>The first 8-bit peripheral clock divider must be reserved for use by this driver</para></listitem><listitem><para>The following DMA channels must be reserved for use by this driver<itemizedlist>
<listitem><para>DataWire 0 channel 0</para></listitem><listitem><para>DataWire 0 channel 1</para></listitem><listitem><para>DataWire 1 channel 1</para></listitem><listitem><para>DataWire 1 channel 3 </para></listitem></itemizedlist>
</para></listitem></orderedlist>
</para>
    </detaileddescription>
  </compounddef>
</doxygen>